Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rf.ats.services.integration.webserv
Class FlexFieldBean

    java.lang.Object
      com.rf.ats.services.integration.webserv.FlexFieldBean

All Implemented Interfaces:
  java.io.Serializable

public class FlexFieldBean
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`FlexFieldBean()`
`FlexFieldBean(java.lang.String fieldName, java.lang.Boolean valueBool, java.util.Calendar valueDate, java.lang.Double valueDbl, java.lang.Integer valueInt, java.lang.Long valueLong, java.lang.String valueStr)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`java.lang.String` | `getFieldName()` Gets the fieldName value for this FlexFieldBean.
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`java.lang.Boolean` | `getValueBool()` Gets the valueBool value for this FlexFieldBean.
`java.util.Calendar` | `getValueDate()` Gets the valueDate value for this FlexFieldBean.
`java.lang.Double` | `getValueDbl()` Gets the valueDbl value for this FlexFieldBean.
`java.lang.Integer` | `getValueInt()` Gets the valueInt value for this FlexFieldBean.
`java.lang.Long` | `getValueLong()` Gets the valueLong value for this FlexFieldBean.
`java.lang.String` | `getValueStr()` Gets the valueStr value for this FlexFieldBean.
`int` | `hashCode()`
`void` | `setFieldName(java.lang.String fieldName)` Sets the fieldName value for this FlexFieldBean.
`void` | `setValueBool(java.lang.Boolean valueBool)` Sets the valueBool value for this FlexFieldBean.
`void` | `setValueDate(java.util.Calendar valueDate)` Sets the valueDate value for this FlexFieldBean.
`void` | `setValueDbl(java.lang.Double valueDbl)` Sets the valueDbl value for this FlexFieldBean.
`void` | `setValueInt(java.lang.Integer valueInt)` Sets the valueInt value for this FlexFieldBean.
`void` | `setValueLong(java.lang.Long valueLong)` Sets the valueLong value for this FlexFieldBean.
`void` | `setValueStr(java.lang.String valueStr)` Sets the valueStr value for this FlexFieldBean.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlexFieldBean

    public FlexFieldBean()

### FlexFieldBean

    public FlexFieldBean(java.lang.String fieldName,
                         java.lang.Boolean valueBool,
                         java.util.Calendar valueDate,
                         java.lang.Double valueDbl,
                         java.lang.Integer valueInt,
                         java.lang.Long valueLong,
                         java.lang.String valueStr)

Method Detail

### getFieldName

    public java.lang.String getFieldName()

  Gets the fieldName value for this FlexFieldBean.

  Returns:
    fieldName

### setFieldName

    public void setFieldName(java.lang.String fieldName)

  Sets the fieldName value for this FlexFieldBean.

  Parameters:
    `fieldName` -

### getValueBool

    public java.lang.Boolean getValueBool()

  Gets the valueBool value for this FlexFieldBean.

  Returns:
    valueBool

### setValueBool

    public void setValueBool(java.lang.Boolean valueBool)

  Sets the valueBool value for this FlexFieldBean.

  Parameters:
    `valueBool` -

### getValueDate

    public java.util.Calendar getValueDate()

  Gets the valueDate value for this FlexFieldBean.

  Returns:
    valueDate

### setValueDate

    public void setValueDate(java.util.Calendar valueDate)

  Sets the valueDate value for this FlexFieldBean.

  Parameters:
    `valueDate` -

### getValueDbl

    public java.lang.Double getValueDbl()

  Gets the valueDbl value for this FlexFieldBean.

  Returns:
    valueDbl

### setValueDbl

    public void setValueDbl(java.lang.Double valueDbl)

  Sets the valueDbl value for this FlexFieldBean.

  Parameters:
    `valueDbl` -

### getValueInt

    public java.lang.Integer getValueInt()

  Gets the valueInt value for this FlexFieldBean.

  Returns:
    valueInt

### setValueInt

    public void setValueInt(java.lang.Integer valueInt)

  Sets the valueInt value for this FlexFieldBean.

  Parameters:
    `valueInt` -

### getValueLong

    public java.lang.Long getValueLong()

  Gets the valueLong value for this FlexFieldBean.

  Returns:
    valueLong

### setValueLong

    public void setValueLong(java.lang.Long valueLong)

  Sets the valueLong value for this FlexFieldBean.

  Parameters:
    `valueLong` -

### getValueStr

    public java.lang.String getValueStr()

  Gets the valueStr value for this FlexFieldBean.

  Returns:
    valueStr

### setValueStr

    public void setValueStr(java.lang.String valueStr)

  Sets the valueStr value for this FlexFieldBean.

  Parameters:
    `valueStr` -

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD